#version 330 core
layout (location = 0) in vec3 aPos;
layout (location = 1) in vec3 aColor;
layout (location = 2) in vec2 aTexCoord;

out VertexData {
 vec3 ourColor;
 vec2 TexCoord;
} vert;

void main()
{
    gl_Position = vec4(aPos.x, aPos.y, aPos.z, 1.0);
    vert.ourColor = aColor;
    vert.TexCoord = vec2(aTexCoord.x, aTexCoord.y);
}